

recipe_file <- "modules/data_load/testing_recipes/recipe_1.yml"

source("modules/data_load/load.R")
source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")

# Load datasets
data <- load_datasets(recipe_file)
## TODO: Instead of reading the recipe at each module, do it at the beginning?
recipe <- read_yaml(recipe_file)
# Calibrate datasets
calibrated_data <- calibrate_datasets(data, recipe)
# Compute skill metrics
skill_metrics <- compute_skill_metrics(calibrated_data$hcst, data$obs,
				       recipe, na.rm = T, ncores = 4)
